### Method

# ICalGLib VcardParameter add_type

since: 4.0

#### Declaration [src]

    void
    i_cal_vcard_parameter_add_type (
      ICalVcardParameter* self,
      ICalVcardParameterType value,
      const gchar* x_value
    )

#### Description [src]

Adds an element.

Available since: 4.0

#### Parameters

`value`

  Type: `ICalVcardParameterType`

  The `ICalVcardParameterType`.

`x_value`

  Type: `const gchar*`

  An X name, or `NULL`; when set, the `value` should a corresponding X value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.